Bug 354741 - Review Request: clonekeen - "Commander Keen: Invasion of the Vorticons" clone
Review Request: clonekeen - "Commander Keen: Invasion of the Vorticons" clone
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-26 15:48 EDT by Hans de Goede
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-06 15:14:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2007-10-26 15:48:04 EDT
Spec URL: http://people.atrpms.net/~hdegoede/clonekeen.spec
SRPM URL: http://people.atrpms.net/~hdegoede/clonekeen-0.8.3-1.fc9.src.rpm
Description:
CloneKeen is an almost complete clone of the old classic DOS game,
Commander Keen: Invasion of the Vorticons by by ID Software.
CloneKeen requires the original gamedata files to work.

If you posess the original DOS games. You can play all three episodes of the
game. If you don't, you can can still play the shareware episode one. Which can
be freely downloaded from Apogee, but cannot be distributed as a part of
Fedora. When you start CloneKeen for the first time it will offer to download 
the shareware datafiles for you.
Comment 1 Jason Tibbitts 2007-11-03 17:01:19 EDT
Initially I figured that there had to be some kind of trademark issue here, but
I looked around and I really can't find any indication that any part of
"Commander Keen: Invasion of the Vorticons" is trademarked.  Still, I'm no
expert, so I'll review the packaging but you'll really need to get an ack from
someone who knows about this kind of thing.
Comment 2 Hans de Goede 2007-11-03 20:17:42 EDT
Ok, I've asked Spot to take a look and add a comment here.
Comment 3 Jason Tibbitts 2007-11-03 20:54:11 EDT
How did you determine the version of the GPL in use?  I only see "GPL", no copy
of the license itself and no mention of GPL or version in any of the source
files except for what's in the scale2x directory.  I guess that makes the
original code "GPL+" and the linked product "GPLv2+", but if you have something
more definitive it would be nice to have it in the package.

Review:
* source files match upstream:
   4f46a8c22eda16ede27d6510090d2ee9cc9bd0ae7f43261289cae4b68e145842  
   CKBeta83_Src.zip
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
? summary is OK (assuming no trademark issues)
? description is OK (assuming no trademark issues)
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly
* debuginfo package looks complete.
* rpmlint is silent.
* final provides and requires are sane:
   clonekeen = 0.8.3-1.fc8
  =
   /bin/bash
   /bin/sh
   autodownloader
   hicolor-icon-theme
   libSDL-1.2.so.0()(64bit)
   libdynamite.so.0()(64bit)
   libpthread.so.0()(64bit)

* Game tested manually; seems to work fine.
* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la files.
* desktop file looks OK.

APPROVED, subject to the trademark thing.
Comment 4 Hans de Goede 2007-11-04 01:58:59 EST
(In reply to comment #3)
> How did you determine the version of the GPL in use?  I only see "GPL", no copy
> of the license itself and no mention of GPL or version in any of the source
> files except for what's in the scale2x directory.  I guess that makes the
> original code "GPL+" and the linked product "GPLv2+", but if you have something
> more definitive it would be nice to have it in the package.
> 

Yes the clonekeen code is GPL+, but since the binary also contains scale2x code
its GPLv2+, and so are the included extraction utilities I wrote. But indeed
other then the reference to the GPL in the docs (and prominently on the
website), there is no GPL copyright header for the clonekeen code itself.
Comment 5 Hans de Goede 2007-11-04 10:58:53 EST
I've gotten a green light on the trademark thing from Spot by private mail, and
thanks for the review!

New Package CVS Request
=======================
Package Name:      clonekeen
Short Description: "Commander Keen: Invasion of the Vorticons" clone
Owners:            jwrdegoede
Branches:          F-7 F-8 devel
InitialCC:         <empty>
Cvsextras Commits: yes
Comment 6 Kevin Fenzi 2007-11-04 14:10:38 EST
cvs done.
Comment 7 Hans de Goede 2007-11-06 15:14:24 EST
Imported, build and updates for F-8 and F-7 pushed, closing.

Note You need to log in before you can comment on or make changes to this bug.